tigase.jaxmpp.core.client.xmpp.modules.chat

## Class MessageModule.ChatCreatedHandler.ChatCreatedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MessageModule.ChatCreatedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.chat.MessageModule.ChatCreatedHandler.ChatCreatedEvent

- Enclosing interface:
    MessageModule.ChatCreatedHandler

      public static class MessageModule.ChatCreatedHandler.ChatCreatedEvent
      extends JaxmppEvent<MessageModule.ChatCreatedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatCreatedEvent(SessionObject sessionObject, Chat chat, Message message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(MessageModule.ChatCreatedHandler handler)` Invokes handlers method.
    `Chat` | `getChat()`
    `Message` | `getMessage()`
    `void` | `setChat(Chat chat)`
    `void` | `setMessage(Message message)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatCreatedEvent

          public ChatCreatedEvent(SessionObject sessionObject,
                                  Chat chat,
                                  Message message)

  - ### Method Detail

    - #### dispatch

          public void dispatch(MessageModule.ChatCreatedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MessageModule.ChatCreatedHandler>`
      Parameters:
        `handler` - handler

    - #### getChat

          public Chat getChat()

    - #### setChat

          public void setChat(Chat chat)

    - #### getMessage

          public Message getMessage()

    - #### setMessage

          public void setMessage(Message message)

Copyright © 2006–2019 Tigase. All rights reserved.